"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getName = void 0;
const readline_1 = require("readline");
function getName(name, typeForQuestion) {
    return new Promise(function (resolve) {
        if (name && typeof name === "string") {
            resolve(name);
        }
        else {
            const rl = readline_1.createInterface({
                input: process.stdin,
                output: process.stdout
            });
            rl.question(`Enter a name for the new ${typeForQuestion}: `, (answer) => {
                resolve(answer);
                rl.close();
            });
        }
    });
}
exports.getName = getName;
